/*
	save lightout configuration to file
*/

#include <stdio.h>
#include <unistd.h>
#include <string.h> /* for strncpy */

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <netinet/in.h>
#include <net/if.h>
#include <arpa/inet.h>

#include "include/DefLightout.h"
#include "include/DefCommon.h"
//common
char *data;			//data from web page
char *date;			//data from web page
char dataTemp[100];
int16_t intTemp;
char fileName[100];
FILE *fp;
int len;

//record
SPECT_LIGHTOUT_DATA lightoutData;		//lightout config data

void saveLightout();		//save lightout configuration

int main()
{
	memset(dataTemp, 0x0, sizeof(dataTemp));
	memset(&lightoutData, 0x0, sizeof(SPECT_LIGHTOUT_DATA));

	printf("Content-Type: text/html\n\n");

	date = (char*)getenv("CONTENT_LENGTH");
	len = atoi(getenv("CONTENT_LENGTH"));

	data = (char *)getenv("QUERY_STRING");
	if(data == NULL)
	{
		printf("fail");
	}
	else
	{
		sscanf(data, "type=%1s", dataTemp);
		if(dataTemp[0] == 'S')
		{
			//save lightout configuration
			saveLightout();
			printf("type=%s p1=%c p2=%d", dataTemp, lightoutData.enable, lightoutData.caution);
		}

		FILE *fp;
		short dataLen = sizeof(SPECT_LIGHTOUT_DATA);
		if((fp = fopen("/home/flexyard/flexyard/sysconfig/lightout.dat", "w")) == NULL)
		{
			printf("-1");//open fail
			return -1;
		}
		else
		{
			if(fwrite((char *)&lightoutData, sizeof(SPECT_LIGHTOUT_DATA), 1, fp) != 1)
			{
				printf("-2");
			}
			else
				printf("1");//success
		}
		fclose(fp);
	}

	//printf("%s\n", "test123");

	return 0;
}

/*******************************************************************************
  Class :
  Function Name : saveLightout
  Input         :
  Output        :
  purpose       : save lightout
  Note          :
*******************************************************************************/
void saveLightout()
{
	char *p;

	p = strtok(data, "&=");
	while(p != NULL)
	{
		if(0 == strcmp(p, "p1"))
		{
			p = strtok(NULL, "&=");
			lightoutData.enable = p[0];
		}
		else if(strcmp(p, "p2") == 0)
		{
			p = strtok(NULL, "&=");
			lightoutData.caution = atoi(p);
			//printf("isData.dbgi=%d\n", isData.dbgi);
		}
		p = strtok(NULL, "&=");
	}
}

